.button {
    width: 26px;
    height: 26px;
    border-radius: 100%;
    background: color;
    padding: 0;
    margin: 2px;
    cursor: pointer;
    border: none;
    position: relative;
    overflow: hidden;
    box-shadow: 0 0 0 2px #f0f0f0;
}



.button.active::after {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.25);
    border-radius: inherit;
    cursor: pointer;
    z-index: 0;
}

.button > svg {
    position: relative;
    z-index: 1;
}
